Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DeleteVpnConnectionRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DeleteVpnConnectionRequest

    public class DeleteVpnConnectionRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DeleteVpnConnection operation`.

Deletes a VPN connection. Use this if you want to delete a VPC and all its associated components. Another reason to use this operation is if you believe the tunnel credentials for your VPN connection have been compromised. In that situation, you can delete the VPN connection and create a new one that has new keys, without needing to delete the VPC or VPN gateway. If you create a new VPN connection, you must reconfigure the customer gateway using the new configuration information returned with the new VPN connection ID.

If you're deleting the VPC and all its associated parts, we recommend you detach the VPN gateway from the VPC and delete the VPC before deleting the VPN connection.

See Also:
  `AmazonEC2.deleteVpnConnection(DeleteVpnConnectionRequest)`

Constructor Summary
`DeleteVpnConnectionRequest()`

Method Summary
`String` | `getVpnConnectionId()` The ID of the VPN connection to delete
`void` | `setVpnConnectionId(String vpnConnectionId)` The ID of the VPN connection to delete
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteVpnConnectionRequest` | `withVpnConnectionId(String vpnConnectionId)` The ID of the VPN connection to delete

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteVpnConnectionRequest

    public DeleteVpnConnectionRequest()

Method Detail

### getVpnConnectionId

    public String getVpnConnectionId()

  The ID of the VPN connection to delete

  Returns:
    The ID of the VPN connection to delete

### setVpnConnectionId

    public void setVpnConnectionId(String vpnConnectionId)

  The ID of the VPN connection to delete

  Parameters:
    `vpnConnectionId` - The ID of the VPN connection to delete

### withVpnConnectionId

    public DeleteVpnConnectionRequest withVpnConnectionId(String vpnConnectionId)

  The ID of the VPN connection to delete

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpnConnectionId` - The ID of the VPN connection to delete
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.